@import "../node_modules/bootstrap/scss/functions";

$blackhole: #111111;
$onion: #59316b;
$lime: #68b723;
$terminal: #222222;

$portfolio-theme: (
  "blackhole": $blackhole,
  "onion": $onion,
  "lime": $lime,
  "terminal": $terminal
);

@import "../node_modules/bootstrap/scss/variables";
@import "../node_modules/bootstrap/scss/maps";
@import "../node_modules/bootstrap/scss/mixins";
@import "../node_modules/bootstrap/scss/utilities";

$all-colors: map-merge-multiple($portfolio-theme, $theme-colors);

// Generate utility classes (e.g. bg-blackhole, bg-onion, etc)
// https://getbootstrap.com/docs/5.2/customize/color/#generating-utilities

$utilities: map-merge(
  $utilities,
  (
    "background-color": map-merge(
      map-get($utilities, "background-color"),
      (
        values: map-merge(
          map-get(map-get($utilities, "background-color"), "values"),
          (
            $all-colors
          ),
        ),
      ),
    ),
  )
);

@import "../node_modules/bootstrap/scss/root";
@import "../node_modules/bootstrap/scss/reboot";
@import "../node_modules/bootstrap/scss/type";
@import "../node_modules/bootstrap/scss/images";
@import "../node_modules/bootstrap/scss/containers";
//@import "../node_modules/bootstrap/scss/grid";
//@import "../node_modules/bootstrap/scss/tables";
//@import "../node_modules/bootstrap/scss/forms";
@import "../node_modules/bootstrap/scss/buttons";
//@import "../node_modules/bootstrap/scss/transitions";
//@import "../node_modules/bootstrap/scss/dropdown";
//@import "../node_modules/bootstrap/scss/button-group";
//@import "../node_modules/bootstrap/scss/nav";
//@import "../node_modules/bootstrap/scss/navbar";
//@import "../node_modules/bootstrap/scss/card";
//@import "../node_modules/bootstrap/scss/accordion";
//@import "../node_modules/bootstrap/scss/breadcrumb";
//@import "../node_modules/bootstrap/scss/pagination";
//@import "../node_modules/bootstrap/scss/badge";
//@import "../node_modules/bootstrap/scss/alert";
//@import "../node_modules/bootstrap/scss/progress";
//@import "../node_modules/bootstrap/scss/list-group";
//@import "../node_modules/bootstrap/scss/close";
//@import "../node_modules/bootstrap/scss/toasts";
//@import "../node_modules/bootstrap/scss/modal";
//@import "../node_modules/bootstrap/scss/tooltip";
//@import "../node_modules/bootstrap/scss/popover";
//@import "../node_modules/bootstrap/scss/carousel";
//@import "../node_modules/bootstrap/scss/spinners";
//@import "../node_modules/bootstrap/scss/offcanvas";
//@import "../node_modules/bootstrap/scss/placeholders";

@import "../node_modules/bootstrap/scss/helpers";
@import "../node_modules/bootstrap/scss/utilities/api";

%portfolio-button {
  display: inline-block;
  text-decoration: none;
}

.portfolio-button {
  @extend %portfolio-button;
  color: shade-color($white, 10%);
  transition: transform 0.1s;
}

.portfolio-button:active {
  transform: translateY(5%);
}

.portfolio-button:hover, .portfolio-button:focus {
  @extend %portfolio-button;
  color: $white;
  transform: scale(1.1);
}

.portfolio-background {
  background-color: $blackhole;
  background-image: url('/img/background.jpg');
  background-position: left;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
}

.portfolio-container {
  max-width: 576px;
}

.portfolio-blinking-cursor::after {
  content: '_';
  color: $white;
  animation-name: blinking_cursor;
  animation-duration: 1.0s;
  animation-iteration-count: infinite;
  animation-timing-function: cubic-bezier(.86, 0, .07, 1);
}

@keyframes blinking_cursor {
  from {opacity: 1;}
  to {opacity: 0;}
}
